:root{
  /* background colors */
  --background-color:Midnightblue;
  --section-background-color: #2C2C75; 
  
  /* main sections formating */
  --padding: 10px;
  --border: 2px solid #666695;
  --margin: 10px;
}

body{
  display: flex;
  justify-content: center;
  
  background-image: url("/media/backgrounds/blueStars.gif");
  color: DarkOrange;
  font-family: Comic Sans ms, Open Sans, Sans Serif;
}

#mainContainer{
  max-width: 80vw;
  min-width: 80vw;
}

/*Section Styling*/

header {
  text-align: center;
  background: var(--background-color);
  border: var(--border);
}

aside {
  background: var(--section-background-color);
  padding: calc(var(--padding)/2);
  border: var(--border);
 }


main {
  height: auto;
  min-width: 100%;
  display: flex;
  justify-content: center;
  
  margin: var(--margin) 0;
}

#middle{
  width: calc(64% - 20px);
  order: 2;
  
  background: var(--section-background-color);
  border: var(--border);
  margin: 0 var(--margin);
}

section {
   padding: 10px;
   margin: 5px;
   background: var(--section-background-color);
   border: var(--border);
 }
 
.aboutMe{
  display: flex;
  flex-direction: row;
}

.blinkieBarContainer{
  overflow: hidden;
  border: var(--border);
  
  margin: 5px 0;
}

.blinkieBar{
  width: max-content;
  display: flex;
  animation: scroll 30s linear infinite;
  
  padding: 5px;
}

.blinkieBar img {
  margin-right: 5px;
}

.middleRow{
  max-height: 300px;
  display: flex;
  justify-content: space-around;
}

.changelog{
  width: 400px;
  overflow: auto;
}

.todo{
  width: 400px;
  overflow: auto;
}

.stampBarContainer{
  overflow: hidden;
  border: var(--border);
  
  margin: 5px 0;
}

.stampBar{
  width: max-content;
  display: flex;
  animation: scroll 15s linear infinite;
  
  padding: 5px;
}

.stampBar img {
  margin-right: 5px;
}


@keyframes scroll{
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-50%);
  }
}

#left{
  width: 18%;
  order: 1;
  border: var(--border);
}


#right{
  width: 18%;
  order: 3;
  border: var(--border);
}

.sidebarSection {
  max-height: 500px;
  overflow: auto;
  
  padding: 5px;
  margin: 0 0 var(--margin) 0;
  border: var(--border)
 }
 
 .sidebarSectionTitle{
   font-size: 1.3em;
   font-weight: bold;
   margin: 0 0 5px 0;
 }
 
.siteButton{
  display: flex;
  flex-direction: column;
  align-items: center;
}

#linkMeCode {
  max-height: 175px;
  height: 100%;
  width: 60%;
  resize: vertical;
}

footer{
  text-align: center;
}

/* Navigation*/

.navBar{
  margin: 0;
}

.navBar ul{
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  list-style-type: none;
  
  background: var(--section-background-color);
  padding: 0;
  border: var(--border);
  margin: 0;
}

.navBar ul li{
  flex-grow: 1;
  padding:5px;
}

.navBar ul li a{
  color: #FCF5E8
}

.navBar ul li:hover {
  background-color: #666695;
}

.navBar ul li a:hover {
  color: DarkOrange;
}

 /*Text Styling*/

a {
  color: #FCF5E8;
}

a:visited{
  color: #FCF5E8;
}

a:hover {
  color: DarkOrange;
}

textarea{
  border: var(--border);
  font-family: Comic Sans ms, Open Sans, Sans Serif;
}